Main Page | Modules | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | Related Pages | Search for

# eoReduce< EOT > Class Template Reference

eoReduce: .reduce the new generation to the specified size At the moment, limited to truncation - with 2 different methods, one that sorts the whole population, and one that repeatidely kills the worst. More...

`#include <eoReduce.h>`

Inheritance diagram for eoReduce< EOT >:

List of all members.

## Detailed Description

### template<class EOT>
class eoReduce< EOT >

eoReduce: .reduce the new generation to the specified size At the moment, limited to truncation - with 2 different methods, one that sorts the whole population, and one that repeatidely kills the worst.

Ideally, we should be able to choose at run-time!!!

Definition at line 45 of file eoReduce.h.

The documentation for this class was generated from the following file:

- eoReduce.h